<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="keywords" content="openstreetmap routino verifier">
<meta name="viewport" content="width=device-width, height=device-height, initial-scale=1, user-scalable=no">

<title>Routino : Afficheur d'itinéraire</title>

<!--
Routino data visualiser web page.

Part of the Routino routing software.

This file Copyright 2008-2017 Andrew M. Bishop

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program. If not, see http://www.gnu.org/licenses/.
-->

<!-- Page elements -->
<script src="page-elements.js" type="text/javascript"></script>
<link href="page-elements.css" type="text/css" rel="stylesheet">

<!-- Router and visualiser shared features -->
<link href="maplayout.css" type="text/css" rel="stylesheet">

<!-- Visualiser specific features -->
<script src="mapprops.js" type="text/javascript"></script>
<link href="visualiser.css" type="text/css" rel="stylesheet">

<!-- Map parameters -->
<script src="mapprops.js" type="text/javascript"></script>

<!-- Map loader -->
<script src="maploader.js" type="text/javascript"></script>

</head>
<body onload="map_load('map_init();');">

<!-- Left hand side of window - data panel -->

<div class="left_panel">

<div class="tab_box">
<span id="tab_visualiser" onclick="tab_select('visualiser');" class="tab_selected" title="Select data options">Visualiser</span>
<span id="tab_router" onclick="tab_select('router');" class="tab_unselected" title="Plan a route">Router</span>
<span id="tab_data" onclick="tab_select('data');" class="tab_unselected" title="View database information">Data</span>
</div>

<div class="tab_content" id="tab_visualiser_div">

<div class="hideshow_box">
<span class="hideshow_title">Afficheur de Routino</span>
Cette page Web permet de visualiser les données que Routino utilise pour le routage.
Seules les données pertinentes pour le routage sont affichées et certaines seront donc exclues.
<div class="center">
<a target="other" href="http://www.routino.org/">site web Routino</a>
|
<a target="other" href="documentation/">Documentation</a>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_language_show" onclick="hideshow_show('language');" class="hideshow_show">+</span>
<span id="hideshow_language_hide" onclick="hideshow_hide('language');" class="hideshow_hide">-</span>
<span class="hideshow_title">Langue</span>

<div id="hideshow_language_div" style="display: none;">
<table>
<tr>
<td><a id="lang_en_url" href="visualiser.html.en" title="English language webpage">English</a>
<td>(EN)
<tr>
<td><a id="lang_cs_url" href="visualiser.html.cs" title="Stránka v češtině">Česky</a>
<td>(CS)
<tr>
<td><a id="lang_de_url" href="visualiser.html.de" title="Deutsche Webseite">Deutsch</a>
<td>(DE)
<tr>
<td><a id="lang_es_url" href="visualiser.html.es" title="Español webpage">Español</a>
<td>(ES)
<tr>
<td><a id="lang_fi_url" href="visualiser.html.fi" title="Suomi webpage">Suomi</a>
<td>(FI)
<tr>
<td><a id="lang_fr_url" href="visualiser.html.fr" title="Page web en français">Français</a>
<td>(FR)
<tr>
<td><a id="lang_hu_url" href="visualiser.html.hu" title="Magyar weboldal">Magyar</a>
<td>(HU)
<tr>
<td><a id="lang_it_url" href="visualiser.html.it" title="Italiano webpage">Italiano</a>
<td>(IT)
<tr>
<td><a id="lang_nl_url" href="visualiser.html.nl" title="Nederlandse web pagina">Nederlands</a>
<td>(NL)
<tr>
<td><a id="lang_pl_url" href="visualiser.html.pl" title="Polski webpage">Polski</a>
<td>(PL)
<tr>
<td><a id="lang_ru_url" href="visualiser.html.ru" title="Страница на русском языке">Русский</a>
<td>(RU)
<tr>
<td><a id="lang_sk_url" href="visualiser.html.sk" title="Stránka v slovenčine">Slovenčina</a>
<td>(SK)
</table>
<a target="translation" href="http://www.routino.org/translations/">Routino Translations</a>
</div>
</div>

<div class="hideshow_box">
<span class="hideshow_title">Instructions</span>
Zoomez puis utilisez les boutons ci-dessous pour télécharger les données. le
Le serveur ne renverra des données que si la zone sélectionnée est suffisamment petite.
</div>

<div class="hideshow_box">
<span class="hideshow_title">État</span>
<div id="result_status">
<div id="result_status_no_data">
<b><i>Aucune donnée affichée</i></b>
</div>
<div id="result_status_data" style="display: none;">
</div>
<div id="result_status_failed" style="display: none;">
<b>Échec de récupération des données d'affichage!</b>
</div>
<div id="result_status_junctions" style="display: none;">
<b># intersections traitées</b>
</div>
<div id="result_status_super" style="display: none;">
<b># segments/super-nœuds traités</b>
</div>
<div id="result_status_waytype" style="display: none;">
<b># segments de type "way" traités</b>
</div>
<div id="result_status_highway" style="display: none;">
<b># segments traités</b>
</div>
<div id="result_status_transport" style="display: none;">
<b># segments traités</b>
</div>
<div id="result_status_barrier" style="display: none;">
<b># nœuds traités</b>
</div>
<div id="result_status_turns" style="display: none;">
<b>Processed # turn restrictions</b>
</div>
<div id="result_status_limit" style="display: none;">
<b># changements de limites traités</b>
</div>
<div id="result_status_property" style="display: none;">
<b># segments traités</b>
</div>
<div id="result_status_errorlogs" style="display: none;">
<b># erreurs de log traitées</b>
</div>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_junctions_show" onclick="hideshow_show('junctions');" class="hideshow_show">+</span>
<span id="hideshow_junctions_hide" onclick="hideshow_hide('junctions');" class="hideshow_hide">-</span>
<input type="button" id="junctions" onclick="displayData('junctions');" value="Afficher les intersections">
<div id="hideshow_junctions_div" style="display: none;">
Chaque nœud qui est une impasse, une jonction de deux autoroutes de différents
types (ou propriétés différentes) ou une jonction où plus de deux segments
joins sont affichés avec un code couleur.
<br>
<table>
<tr><td><img src="icons/ball-1.png" alt="1" ><td>Chaussée simple - Sans issue
<tr><td><img src="icons/ball-2.png" alt="2" ><td>Carrefour de deux routes de différents types
<tr><td><img src="icons/ball-3.png" alt="3" ><td>Carrefour à trois intersections
<tr><td><img src="icons/ball-4.png" alt="4" ><td>Carrefour à quatre intersections
<tr><td><img src="icons/ball-5.png" alt="5" ><td>Carrefour à cinq intersections
<tr><td><img src="icons/ball-6.png" alt="6" ><td>Carrefour à six intersections
<tr><td><img src="icons/ball-7.png" alt="7+"><td>Carrefour en étoile
</table>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_super_show" onclick="hideshow_show('super');" class="hideshow_show">+</span>
<span id="hideshow_super_hide" onclick="hideshow_hide('super');" class="hideshow_hide">-</span>
<input type="button" id="super" onclick="displayData('super');" value="Afficher les Super Segments">
<div id="hideshow_super_div" style="display: none;">
Each super-node and the associated super-segments are shown (see
algorithm page for description).
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_waytype_show" onclick="hideshow_show('waytype');" class="hideshow_show">+</span>
<span id="hideshow_waytype_hide" onclick="hideshow_hide('waytype');" class="hideshow_hide">-</span>
<input type="button" id="waytype" onclick="displayData('waytype');" value="Afficher type de route du Segments">
<div id="hideshow_waytype_div" style="display: none;">
Each highway segment of special types (one-way, cycle-both-ways and roundabout) are
shown. For one-way segments a coloured triangle indicates the allowed direction.
The colours of the triangles depend on the bearing of the highway segment.
<form name="waytypes" id="waytypes" action="#" method="get" onsubmit="return false;">
<table>
<tr><td>Segments à sens unique: <td><input name="waytype" type="radio" value="oneway" onchange="displayData('waytype');" checked>
<tr><td>Cycle-both-way segments:<td><input name="waytype" type="radio" value="cyclebothways" onchange="displayData('waytype');">
<tr><td>Tronçons de rond-point: <td><input name="waytype" type="radio" value="roundabout" onchange="displayData('waytype');">
</table>
</form>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_highway_show" onclick="hideshow_show('highway');" class="hideshow_show">+</span>
<span id="hideshow_highway_hide" onclick="hideshow_hide('highway');" class="hideshow_hide">-</span>
<input type="button" id="highway" onclick="displayData('highway');" value="Afficher les tronçons d'autoroute">
<div id="hideshow_highway_div" style="display: none;">
Chaque segment du type d'autoroute choisi est dessiné.
<form name="highways" id="highways" action="#" method="get" onsubmit="return false;">
<table>
<tr><td>Autoroute: <td><input name="highway" type="radio" value="motorway" onchange="displayData('highway');">
<tr><td>Voie rapide: <td><input name="highway" type="radio" value="trunk" onchange="displayData('highway');">
<tr><td>Primaire: <td><input name="highway" type="radio" value="primary" onchange="displayData('highway');" checked>
<tr><td>Secondaire: <td><input name="highway" type="radio" value="secondary" onchange="displayData('highway');">
<tr><td>Tertiaire: <td><input name="highway" type="radio" value="tertiary" onchange="displayData('highway');">
<tr><td>Non classée:<td><input name="highway" type="radio" value="unclassified" onchange="displayData('highway');">
<tr><td>Résidentiel: <td><input name="highway" type="radio" value="residential" onchange="displayData('highway');">
<tr><td>Service: <td><input name="highway" type="radio" value="service" onchange="displayData('highway');">
<tr><td>Piste: <td><input name="highway" type="radio" value="track" onchange="displayData('highway');">
<tr><td>Piste cyclable: <td><input name="highway" type="radio" value="cycleway" onchange="displayData('highway');">
<tr><td>Sentier: <td><input name="highway" type="radio" value="path" onchange="displayData('highway');">
<tr><td>Escaliers: <td><input name="highway" type="radio" value="steps" onchange="displayData('highway');">
<tr><td>Ferry: <td><input name="highway" type="radio" value="ferry" onchange="displayData('highway');">
</table>
</form>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_transport_show" onclick="hideshow_show('transport');" class="hideshow_show">+</span>
<span id="hideshow_transport_hide" onclick="hideshow_hide('transport');" class="hideshow_hide">-</span>
<input type="button" id="transport" onclick="displayData('transport');" value="Afficher les segments de transport">
<div id="hideshow_transport_div" style="display: none;">
Each segment allowed for the chosen type of transport is drawn.
<form name="transports" id="transports" action="#" method="get" onsubmit="return false;">
<table>
<tr><td>À pied: <td><input name="transport" type="radio" value="foot" onchange="displayData('transport');">
<tr><td>À cheval: <td><input name="transport" type="radio" value="horse" onchange="displayData('transport');">
<tr><td>Fauteuil roulant:<td><input name="transport" type="radio" value="wheelchair" onchange="displayData('transport');">
<tr><td>Bicyclette: <td><input name="transport" type="radio" value="bicycle" onchange="displayData('transport');">
<tr><td>Cyclomoteur: <td><input name="transport" type="radio" value="moped" onchange="displayData('transport');">
<tr><td>Moto:<td><input name="transport" type="radio" value="motorcycle" onchange="displayData('transport');">
<tr><td>Voiture: <td><input name="transport" type="radio" value="motorcar" onchange="displayData('transport');" checked>
<tr><td>Camionette: <td><input name="transport" type="radio" value="goods" onchange="displayData('transport');">
<tr><td>Camion(15t): <td><input name="transport" type="radio" value="hgv" onchange="displayData('transport');">
<tr><td>Camion(10t): <td><input name="transport" type="radio" value="psv" onchange="displayData('transport');">
</table>
</form>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_barrier_show" onclick="hideshow_show('barrier');" class="hideshow_show">+</span>
<span id="hideshow_barrier_hide" onclick="hideshow_hide('barrier');" class="hideshow_hide">-</span>
<input type="button" id="barrier" onclick="displayData('barrier');" value="Display Barrier Nodes">
<div id="hideshow_barrier_div" style="display: none;">
Each barrier blocking the chosen type of transport is drawn.
<form name="barriers" id="barriers" action="#" method="get" onsubmit="return false;">
<table>
<tr><td>À pied: <td><input name="barrier" type="radio" value="foot" onchange="displayData('barrier');">
<tr><td>À cheval: <td><input name="barrier" type="radio" value="horse" onchange="displayData('barrier');">
<tr><td>Fauteuil roulant:<td><input name="barrier" type="radio" value="wheelchair" onchange="displayData('barrier');">
<tr><td>Bicyclette: <td><input name="barrier" type="radio" value="bicycle" onchange="displayData('barrier');">
<tr><td>Cyclomoteur: <td><input name="barrier" type="radio" value="moped" onchange="displayData('barrier');">
<tr><td>Moto:<td><input name="barrier" type="radio" value="motorcycle" onchange="displayData('barrier');">
<tr><td>Voiture: <td><input name="barrier" type="radio" value="motorcar" onchange="displayData('barrier');" checked>
<tr><td>Camionette: <td><input name="barrier" type="radio" value="goods" onchange="displayData('barrier');">
<tr><td>Camion(15t): <td><input name="barrier" type="radio" value="hgv" onchange="displayData('barrier');">
<tr><td>Camion(10t): <td><input name="barrier" type="radio" value="psv" onchange="displayData('barrier');">
</table>
</form>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_turns_show" onclick="hideshow_show('turns');" class="hideshow_show">+</span>
<span id="hideshow_turns_hide" onclick="hideshow_hide('turns');" class="hideshow_hide">-</span>
<input type="button" id="turns" onclick="displayData('turns');" value="Display Turn Restrictions">
<div id="hideshow_turns_div" style="display: none;">
Each turn restrictions is shown with a line indicating the disallowed turn.
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_speed_show" onclick="hideshow_show('speed');" class="hideshow_show">+</span>
<span id="hideshow_speed_hide" onclick="hideshow_hide('speed');" class="hideshow_hide">-</span>
<input type="button" id="speed" onclick="displayData('speed');" value="Afficher les limites de vitesse">
<div id="hideshow_speed_div" style="display: none;">
Each node that joins segments with different speed limits is shown
along with the speed limit on relevant segments.
<br>
<table>
<tr><td><img src="icons/ball-1.png" alt="." ><td>Changement de limite
<tr><td><img src="icons/limit-no.png" alt="()" ><td>Pas de limite spécifiée
<tr><td><img src="icons/limit-80.png" alt="(80)"><td>Vitesse limitée à 80 km/h
</table>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_weight_show" onclick="hideshow_show('weight');" class="hideshow_show">+</span>
<span id="hideshow_weight_hide" onclick="hideshow_hide('weight');" class="hideshow_hide">-</span>
<input type="button" id="weight" onclick="displayData('weight');" value="Afficher les limites de poids">
<div id="hideshow_weight_div" style="display: none;">
Each node that joins segments with different weight limits is shown
along with the weight limit on relevant segments.
<br>
<table>
<tr><td><img src="icons/ball-1.png" alt="." ><td>Changement de limite
<tr><td><img src="icons/limit-no.png" alt="()" ><td>Pas de limite spécifiée
<tr><td><img src="icons/limit-8.0.png" alt="(8.0)"><td>Interdit au plus de 8 tonnes
</table>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_height_show" onclick="hideshow_show('height');" class="hideshow_show">+</span>
<span id="hideshow_height_hide" onclick="hideshow_hide('height');" class="hideshow_hide">-</span>
<input type="button" id="height" onclick="displayData('height');" value="Afficher les limites de hauteur">
<div id="hideshow_height_div" style="display: none;">
Each node that joins segments with different height limits is shown
along with the height limit on relevant segments.
<br>
<table>
<tr><td><img src="icons/ball-1.png" alt="." ><td>Changement de limite
<tr><td><img src="icons/limit-no.png" alt="()" ><td>Pas de limite spécifiée
<tr><td><img src="icons/limit-4.0.png" alt="(4.0)"><td>Hauteur limitée à 4,0 m
</table>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_width_show" onclick="hideshow_show('width');" class="hideshow_show">+</span>
<span id="hideshow_width_hide" onclick="hideshow_hide('width');" class="hideshow_hide">-</span>
<input type="button" id="width" onclick="displayData('width');" value="Afficher les limites de largeur">
<div id="hideshow_width_div" style="display: none;">
Each node that joins segments with different width limits is shown
along with the width limit on relevant segments.
<br>
<table>
<tr><td><img src="icons/ball-1.png" alt="." ><td>Changement de limite
<tr><td><img src="icons/limit-no.png" alt="()" ><td>Pas de limite spécifiée
<tr><td><img src="icons/limit-3.0.png" alt="(3.0)"><td>Largeur limitée à 3,0 m
</table>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_length_show" onclick="hideshow_show('length');" class="hideshow_show">+</span>
<span id="hideshow_length_hide" onclick="hideshow_hide('length');" class="hideshow_hide">-</span>
<input type="button" id="length" onclick="displayData('length');" value="Afficher les limites de longueur">
<div id="hideshow_length_div" style="display: none;">
Each node that joins segments with different length limits is shown
along with the length limit on relevant segments.
<br>
<table>
<tr><td><img src="icons/ball-1.png" alt="." ><td>Changement de limite
<tr><td><img src="icons/limit-no.png" alt="()" ><td>Pas de limite spécifiée
<tr><td><img src="icons/limit-9.0.png" alt="(9.0)"><td>Longueur limitée à 9,0 m
</table>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_property_show" onclick="hideshow_show('property');" class="hideshow_show">+</span>
<span id="hideshow_property_hide" onclick="hideshow_hide('property');" class="hideshow_hide">-</span>
<input type="button" id="property" onclick="displayData('property');" value="Afficher propriétés route">
<div id="hideshow_property_div" style="display: none;">
Each segment of the highways with a particular property is drawn.
<form name="properties" id="properties" action="#" method="get" onsubmit="return false;">
<table>
<tr><td>Pavée: <td><input name="property" type="radio" value="paved" onchange="displayData('property');" checked>
<tr><td>Voies multiples: <td><input name="property" type="radio" value="multilane" onchange="displayData('property');">
<tr><td>Pont: <td><input name="property" type="radio" value="bridge" onchange="displayData('property');">
<tr><td>Tunnel: <td><input name="property" type="radio" value="tunnel" onchange="displayData('property');">
<tr><td>Itinér. piéton: <td><input name="property" type="radio" value="footroute" onchange="displayData('property');">
<tr><td>Itinér. cycle: <td><input name="property" type="radio" value="bicycleroute" onchange="displayData('property');">
</table>
</form>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_errorlogs_show" onclick="hideshow_show('errorlogs');" class="hideshow_show">+</span>
<span id="hideshow_errorlogs_hide" onclick="hideshow_hide('errorlogs');" class="hideshow_hide">-</span>
<input type="button" id="errorlogs" onclick="displayData('errorlogs');" value="Afficher le journal des erreurs">
<div id="hideshow_errorlogs_div" style="display: none;">
Problèmes potentiels rencontrés par Routino lors du traitement des données d'entrée.
</div>
</div>

<div class="hideshow_box">
<input type="button" id="clear" onclick="displayData('');" value="Effacer données">
</div>

<div class="hideshow_box">
<span class="hideshow_title">Liens</span>
<a id="permalink_url" href="visualiser.html">Lien vers cet outil de visualisation</a>
<br>
<a id="edit_url" target="edit" style="display: none;">Editer cette donnée OSM</a>
</div>

<div class="hideshow_box">
<span id="hideshow_help_options_show" onclick="hideshow_show('help_options');" class="hideshow_hide">+</span>
<span id="hideshow_help_options_hide" onclick="hideshow_hide('help_options');" class="hideshow_show">-</span>
<span class="hideshow_title">Aide</span>
<div id="hideshow_help_options_div">
<div class="scrollable">
<b>Quick Start</b>
<br>
Zoom to an area and select one of the buttons to display that type of
data.
<br>
More data options can be found by expanding the details below each
button.
<p>
<b>Data Failure</b>
<br>
If the area selected is too large (depends on the data type) then the
status will say "Failed to get visualiser data" - zoom in and try
again.
</div>
</div>
</div>
</div>

<div class="tab_content" id="tab_router_div" style="display: none;">
<div class="hideshow_box">
<span class="hideshow_title">Planificateur de Routino</span>
Pour effectuer le routage sur la carte utilisez le lien ci-dessous.
<br>
<a id="router_url" href="router.html" target="router">Lien vers cet outil de visualisation</a>
</div>
</div>

<div class="tab_content" id="tab_data_div" style="display: none;">
<div class="hideshow_box">
<span class="hideshow_title">Statistiques de Routino</span>
<div id="statistics_data"></div>
<a id="statistics_link" href="statistics.cgi" onclick="displayStatistics();return(false);">Afficher les données statistiques</a>
</div>
</div>

</div>

<!-- Right hand side of window - map -->

<div class="right_panel">
<div class="map" id="map">
<noscript>
<p>
Javascript est <em>nécessaire</em> pour afficher la carte interactive.
</noscript>
</div>
<div class="attribution">
Routeur: <a href="http://www.routino.org/" target="routino">Routino</a>
|
Geo Data: <span id="attribution_data"></span>
|
Dalles: <span id="attribution_tile"></span>
</div>
</div>

</body>

</html>
